<?php
if (!defined ('TYPO3_MODE')) {
	die ('Access denied.');
}

return array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:demoinline/Resources/Private/Language/locallang_db.xlf:tx_demoinline_domain_model_demorecord_mm',

		'label' => 'person',

		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',

		'removeEmptyTabContainerOfInlineElements' => TRUE,

		'dividers2tabs' => TRUE,
		'hideTable' => TRUE,
		'versioningWS' => FALSE,

		'sortby' => 'sorting',

		'origUid' => 't3_origuid',

		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'searchFields' => 'information',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('demoinline') . 'Resources/Public/Icons/Records/tx_demoinline_domain_model_demorecord_mm.gif'
	),
	'interface' => array(
		'showRecordFieldList' => 'hidden, information, person',
	),
	'types' => array(
		'1' => array('showitem' =>
			'hidden;;1, information, person,
		    --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access,starttime, endtime'),
	),
	'columns' => array(
		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'starttime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'endtime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'information' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:demoinline/Resources/Private/Language/locallang_db.xlf:tx_demoinline_domain_model_person_mm.information',
			'config' => array(
				'type' => 'input',
				'size' => 255,
				'eval' => 'trim,required'
			),
		),
		'person' => array(
			'exclude' => 0,
			'label' =>  'LLL:EXT:demoinline/Resources/Private/Language/locallang_db.xlf:tx_demoinline_domain_model_person_mm.person',
			'config' => array(
				'type' => 'select',
				'foreign_table' => 'tx_demoinline_domain_model_person',
				'foreign_types' => array(
					'1' => array(
						'showitem' => 'first_name, last_name'
					)
				),
				'size' => 1,
				'maxitems' => 1,
				'minitems' => 1,
			)
		),
		'uid_foreign' => array(
			'config' => array (
				'type' => 'passthrough',
			)
		),
		'fieldname' => array(
			'config' => array (
				'type' => 'passthrough',
			)
		),
		'tablenames' => array(
			'config' => array (
				'type' => 'passthrough',
			)
		),
		'sorting' => array(
			'config' => array (
				'type' => 'passthrough',
			)
		),
		'sorting_foreign' => array(
			'config' => array (
				'type' => 'passthrough',
			)
		)
	)
);